#!/usr/bin/env python

"""Pygame SAS - Special Air Services

On of my first efforts to get familar with
python and pygame.
I'll try to display an airplane on the top of the
screen, that moves along horicontally with animation
and up/down movement."""

"""25 sep 2007
The movement now works.
Next issue is to display the animation."""

import os
import sys
import pygame
from pygame.locals import *

size = height, width = 640, 480
backcolor = 120, 0, 0
caption = "SAS 0.2 - 2nd try"

pygame.init()
screen = pygame.display.set_mode(size)
pygame.display.set_caption(caption)
pygame.display.get_surface() # what does this do?

# ##################################################
# My plane class... :(
# ##################################################
class plane(object):
    px = -80
    py = 25
    
    def __init__(self, dir, img_name):
        self.img = os.path.join(dir, img_name)
        self.img_obj = pygame.image.load(self.img)
        self.img_obj.set_colorkey((255,0,255))
        self.position = [self.px, self.py]
        self.speedx = 0.3
        self.speedy = 0.1
        self.down = 0
        print "self.down = " , self.down
        
    def move(self):
        self.position[0] = self.position[0] + self.speedx # add movement in X of the planes position
        
        if self.position[0] > 650:
            self.position[0] = -80
        
        if self.down == 0:
            self.position[1] = self.position[1] + self.speedy
        elif self.down == 1:
            self.position[1] = self.position[1] - self.speedy
            
        if self.position[1] > 60:
            self.down = 1
        elif self.position[1] <= 10:
            self.down = 0
            
        # print self.position
        return self.position

        

# Eventhandler
def input(events):
    for event in events:
        if event.type == QUIT:
            sys.exit(0)
            
        elif event.type == KEYDOWN:
            if event.key == pygame.K_ESCAPE:
                sys.exit(0)


def MainLoop():
    thePlane = plane("data", "plane00.png")
    
    while True:
        input(pygame.event.get())
        screen.fill(backcolor)
        thePlane.move()
        screen.blit(thePlane.img_obj, thePlane.move())
        pygame.display.flip()
        

# the mainloop
if __name__ == "__main__":
    MainLoop()